Subject: Re: Real lox

From: [email-masked] (Nick Maclaren)
Date: 2 Dec 1994 21:53:31 GMT

In article <[email-masked]>,
Leah Smith <[email-masked]> wrote:
>
>Now that real, salty, oily lox has all but been replaced in delis by the
>ubiquitous smoked Nova, I wonder if anyone knows how to make the genuine
>article.  
>
>I've made gravad lax, but it isn't the same.  Obviously, lox would not
>contain dill or aquavit, but what would it have?  With the price of
>salmon being what it is, I'm reluctant to do much experimenting without
>guidance.

I have a tip for you.  Large trout (especially sea trout, but even
farmed reservoir trout) taste and feel very similar to salmon and
are (in the UK) about a quarter of the price.  Regard this as a
return to traditional customs :-)

Nick Maclaren,
University of Cambridge Computer Laboratory,
New Museums Site, Pembroke Street, Cambridge CB2 3QG, England.
Email:  [email-masked]
Tel.:  +44 1223 334761    Fax:  +44 1223 334679

---

From: [email-masked] (Leah Smith)
Date: Thu, 01 Dec 94 20:36:54 GMT

--
Leah Smith                                      [email-masked]